org.apache.http.nio.protocol

## Interface HttpAsyncRequestHandlerResolver

All Known Implementing Classes:
  HttpAsyncRequestHandlerRegistry

Deprecated.
see `HttpAsyncRequestHandlerMapper`

    @Deprecated
    public interface HttpAsyncRequestHandlerResolver

`HttpAsyncRequestHandlerResolver` can be used to map an instance of `HttpAsyncRequestHandler` matching a particular request URI. Usually the mapped request handler will be used to process the request with the specified request URI.

Since:
  4.2

### Method Summary

Methods
`HttpAsyncRequestHandler<?>` `lookup(String requestURI)` Deprecated. Looks up a handler matching the given request URI.

### Method Detail

#### lookup

    HttpAsyncRequestHandler<?> lookup(String requestURI)

Deprecated.
Looks up a handler matching the given request URI.

Parameters:
  `requestURI` - the request URI
Returns:
  HTTP request handler or `null` if no match is found.